unit UMain;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  DAODatabase, StdCtrls, Db, DAODataset, DAOQuery, Spin, DAOTable, Grids,
  DBGrids, DBCtrls, DAOTlb;

type
  TMainFrm = class(TForm)
    DAODatabase1: TDAODatabase;
    Clients: TDAOTable;
    DataSource1: TDataSource;
    DBGrid1: TDBGrid;
    Button3: TButton;
    DBMemo1: TDBMemo;
    Button1: TButton;
    ClientsCLIENT_ID: TIntegerField;
    ClientsCLIENT_NAME: TStringField;
    ClientsCOUNTRY_ID: TIntegerField;
    ClientsCLIENT_ADDRESS: TStringField;
    ClientsCLIENT_ADDINFO: TMemoField;
    Country: TDAOQuery;
    CountryCountry_id: TIntegerField;
    CountryCountry_Name: TStringField;
    DBLookupComboBox1: TDBLookupComboBox;
    DataSource2: TDataSource;
    procedure Button3Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
    procedure Button1Click(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  MainFrm: TMainFrm;

implementation

{$R *.DFM}

procedure TMainFrm.Button3Click(Sender: TObject);
var
  s1, Stream: TStream;
begin
  Clients.Open;
  Clients.Edit;
  s1 := TFileStream.Create ('C:\config.sys', fmOpenRead); 

  Stream := Clients.CreateBlobStream (Clients.FieldByName ('CLIENT_ADDINFO'), bmWrite);
  Stream.CopyFrom (s1, s1.Size);
  Stream.Free;
  s1.Free;
  Clients.Post;

end;

procedure TMainFrm.FormShow(Sender: TObject);
begin
  DAODatabase1.DatabaseName := ExtractFilePath (Application.ExeName) + 'ADVANCED.MDB';
  DAODatabase1.Open;
  Country.Open;
  Clients.Open;
end;

procedure TMainFrm.Button1Click(Sender: TObject);
var
  dbname : string;
  db     : Database;
  td     : TableDef;
  fld    : Field;
  idx    : Index;
begin
  if InputQuery ('Database name', 'Enter database name', dbname) then
  begin
    db  := __DBEngine.CreateDatabase (ExtractFilePath (Application.ExeName) + dbname, ';LANGID=0x0409;CP=1252;COUNTRY=0', 0);
    td  := db.CreateTableDef ('Customers', 0, '', '');
    fld := td.CreateField ('CustNo', dbLong, 0);
    td.Fields.Append (fld);
    fld := td.CreateField ('Company', dbText, 30);
    td.Fields.Append (fld);
    fld := td.CreateField ('Addr', dbText, 30);
    td.Fields.Append (fld);
    fld := td.CreateField ('City', dbText, 15);
    td.Fields.Append (fld);
    fld := td.CreateField ('State', dbText, 20);
    td.Fields.Append (fld);
    fld := td.CreateField ('Zip', dbText, 10);
    td.Fields.Append (fld);
    fld := td.CreateField ('Country', dbText, 20);
    td.Fields.Append (fld);
    idx := td.CreateIndex ('Primary');
    idx.Primary  := True;
    idx.Required := True;
    idx.Unique   := True;
    fld := idx.CreateField ('CustNo', dbLong, 0);
    idx.Fields.Append (fld);
    td.Indexes.Append (idx);

    db.TableDefs.Append (td);

    db.Close;
  end;
end;

end.
